<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__tcpwm__counter__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_tcpwm_counter_config_t</compoundname>
    <includes local="no">cy_tcpwm_counter.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__tcpwm__counter__config__t_1ab76c3f28638094636fc4ce47339a2f03" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_counter_config_t::period</definition>
        <argsstring />
        <name>period</name>
        <briefdescription>
<para>Sets the period of the counter. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" bodystart="60" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" line="60" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__counter__config__t_1a19e716be7fd438a5f3a81e0a99676da8" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_counter_config_t::clockPrescaler</definition>
        <argsstring />
        <name>clockPrescaler</name>
        <briefdescription>
<para>Sets the clock prescaler inside the TCWPM block. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="compound" refid="group__group__tcpwm__counter__clk__prescalers">Counter CLK Prescalers</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" bodystart="62" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" line="62" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__counter__config__t_1aabf4537e1373a90fed6f922ef8c9c171" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_counter_config_t::runMode</definition>
        <argsstring />
        <name>runMode</name>
        <briefdescription>
<para>Sets the run mode. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="compound" refid="group__group__tcpwm__counter__run__modes">Counter Run Modes</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" bodystart="63" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" line="63" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__counter__config__t_1a6ebdd452acc4015a0b859807a30856d3" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_counter_config_t::countDirection</definition>
        <argsstring />
        <name>countDirection</name>
        <briefdescription>
<para>Sets the counter direction. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="compound" refid="group__group__tcpwm__counter__direction">Counter Direction</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" bodystart="64" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" line="64" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__counter__config__t_1a8b99d145022bfaba8357aea299cf8442" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_counter_config_t::compareOrCapture</definition>
        <argsstring />
        <name>compareOrCapture</name>
        <briefdescription>
<para>The counter can either compare or capture a value. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="compound" refid="group__group__tcpwm__counter__compare__capture">Counter Compare Capture</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" bodystart="66" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" line="66" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__counter__config__t_1a3e9518a4c5ad4e63142c6c7b27d2475e" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_counter_config_t::compare0</definition>
        <argsstring />
        <name>compare0</name>
        <briefdescription>
<para>Sets the value for Compare0. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" bodystart="67" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" line="67" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__counter__config__t_1afd2229a4ebd36e4fb09bb6b1f268c641" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_counter_config_t::compare1</definition>
        <argsstring />
        <name>compare1</name>
        <briefdescription>
<para>Sets the value for Compare1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" bodystart="68" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" line="68" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__counter__config__t_1aab6a68f7f1e9673c6e66eec4e0cbacdb" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_tcpwm_counter_config_t::enableCompareSwap</definition>
        <argsstring />
        <name>enableCompareSwap</name>
        <briefdescription>
<para>If enabled, the compare values are swapped each time the comparison is true. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" bodystart="69" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" line="69" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__counter__config__t_1a5094c6f251fb4345f7c1c3a73c5807dc" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_counter_config_t::interruptSources</definition>
        <argsstring />
        <name>interruptSources</name>
        <briefdescription>
<para>Enabled an interrupt on the terminal count, capture or compare. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="compound" refid="group__group__tcpwm__interrupt__sources">Interrupt Sources</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" bodystart="71" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" line="71" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__counter__config__t_1a6a72b683d8b73d7e9e4117cfd2d3638b" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_counter_config_t::captureInputMode</definition>
        <argsstring />
        <name>captureInputMode</name>
        <briefdescription>
<para>Configures how the capture input behaves. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="compound" refid="group__group__tcpwm__input__modes">Input Modes</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" bodystart="72" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" line="72" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__counter__config__t_1af66870331ed7d2b3bae92f67178c1719" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_counter_config_t::captureInput</definition>
        <argsstring />
        <name>captureInput</name>
        <briefdescription>
<para>Selects which input the capture uses, the inputs are device-specific. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="compound" refid="group__group__tcpwm__input__selection">TCPWM Input Selection</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" bodystart="74" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" line="74" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__counter__config__t_1aeb1252c523958eda3d7f0eb09b3439c5" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_counter_config_t::reloadInputMode</definition>
        <argsstring />
        <name>reloadInputMode</name>
        <briefdescription>
<para>Configures how the reload input behaves. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="compound" refid="group__group__tcpwm__input__modes">Input Modes</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" bodystart="75" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" line="75" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__counter__config__t_1aa4f9dd7540e2f3ade67f7bb9997542ed" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_counter_config_t::reloadInput</definition>
        <argsstring />
        <name>reloadInput</name>
        <briefdescription>
<para>Selects which input the reload uses, the inputs are device-specific. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="compound" refid="group__group__tcpwm__input__selection">TCPWM Input Selection</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" bodystart="77" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" line="77" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__counter__config__t_1acf2e30970a7085ed01f8f62648e929c8" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_counter_config_t::startInputMode</definition>
        <argsstring />
        <name>startInputMode</name>
        <briefdescription>
<para>Configures how the start input behaves. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="compound" refid="group__group__tcpwm__input__modes">Input Modes</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" bodystart="78" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" line="78" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__counter__config__t_1a196e0eb9e9b9a5772d592af837f0770e" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_counter_config_t::startInput</definition>
        <argsstring />
        <name>startInput</name>
        <briefdescription>
<para>Selects which input the start uses, the inputs are device-specific. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="compound" refid="group__group__tcpwm__input__selection">TCPWM Input Selection</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" bodystart="80" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" line="80" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__counter__config__t_1a8fa458977f7f877924296770113256d8" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_counter_config_t::stopInputMode</definition>
        <argsstring />
        <name>stopInputMode</name>
        <briefdescription>
<para>Configures how the stop input behaves. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="compound" refid="group__group__tcpwm__input__modes">Input Modes</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" bodystart="81" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" line="81" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__counter__config__t_1ae8b6f0d0fce13fe1903ac0bd2712e1c8" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_counter_config_t::stopInput</definition>
        <argsstring />
        <name>stopInput</name>
        <briefdescription>
<para>Selects which input the stop uses, the inputs are device-specific. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="compound" refid="group__group__tcpwm__input__selection">TCPWM Input Selection</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" bodystart="83" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" line="83" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__counter__config__t_1a256aff38a9bbeecabd9f7dde713600e8" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_counter_config_t::countInputMode</definition>
        <argsstring />
        <name>countInputMode</name>
        <briefdescription>
<para>Configures how the count input behaves. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="compound" refid="group__group__tcpwm__input__modes">Input Modes</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" bodystart="84" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" line="84" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__counter__config__t_1a0f9abee99b3079bec330a6afdcb2bfe4" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_counter_config_t::countInput</definition>
        <argsstring />
        <name>countInput</name>
        <briefdescription>
<para>Selects which input the count uses, the inputs are device-specific. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="compound" refid="group__group__tcpwm__input__selection">TCPWM Input Selection</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" bodystart="85" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" line="85" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__counter__config__t_1a19fe43a3d33f9d2b112496a5e6b7fd1c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_counter_config_t::capture1InputMode</definition>
        <argsstring />
        <name>capture1InputMode</name>
        <briefdescription>
<para>Configures how the capture1 input behaves. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="compound" refid="group__group__tcpwm__input__modes">Input Modes</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" bodystart="86" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" line="86" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__counter__config__t_1a8d7b5556f7efc47e18b281fe14992a36" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_counter_config_t::capture1Input</definition>
        <argsstring />
        <name>capture1Input</name>
        <briefdescription>
<para>Selects which input the capture1 uses, the inputs are device-specific. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" bodystart="87" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" line="87" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__counter__config__t_1a32ffb2de1a8b5bf7f3ac5a99035cdbfd" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_tcpwm_counter_config_t::enableCompare1Swap</definition>
        <argsstring />
        <name>enableCompare1Swap</name>
        <briefdescription>
<para>See <ref kindref="compound" refid="group__group__tcpwm__input__selection">TCPWM Input Selection</ref>. </para>        </briefdescription>
        <detaileddescription>
<para>If enabled, the compare1 values are swapped each time the comparison is true </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" bodystart="89" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" line="89" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__counter__config__t_1a7dfafa68bd042a7153c3866666538cb7" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_counter_config_t::compare2</definition>
        <argsstring />
        <name>compare2</name>
        <briefdescription>
<para>Sets the value for Compare1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" bodystart="90" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" line="90" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__counter__config__t_1a7f18c6b8c77ac77bce493fc7512b9b95" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_counter_config_t::compare3</definition>
        <argsstring />
        <name>compare3</name>
        <briefdescription>
<para>Sets the value for the buffered Compare1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" bodystart="91" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" line="91" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__counter__config__t_1a2b389637be2858dcff45077c501ac232" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_counter_config_t::trigger0Event</definition>
        <argsstring />
        <name>trigger0Event</name>
        <briefdescription>
<para>Configures which internal event generates on output trigger 0. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" bodystart="92" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" line="92" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__counter__config__t_1addc299a4ab2e222edfa02212b84b5d46" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_counter_config_t::trigger1Event</definition>
        <argsstring />
        <name>trigger1Event</name>
        <briefdescription>
<para>Configures which internal event generates on output trigger 1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" bodystart="93" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" line="93" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Counter Timer configuration structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="94" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" bodystart="58" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_counter.h" line="59" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__tcpwm__counter__config__t_1a8d7b5556f7efc47e18b281fe14992a36" virt="non-virtual"><scope>cy_stc_tcpwm_counter_config_t</scope><name>capture1Input</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__counter__config__t_1a19fe43a3d33f9d2b112496a5e6b7fd1c" virt="non-virtual"><scope>cy_stc_tcpwm_counter_config_t</scope><name>capture1InputMode</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__counter__config__t_1af66870331ed7d2b3bae92f67178c1719" virt="non-virtual"><scope>cy_stc_tcpwm_counter_config_t</scope><name>captureInput</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__counter__config__t_1a6a72b683d8b73d7e9e4117cfd2d3638b" virt="non-virtual"><scope>cy_stc_tcpwm_counter_config_t</scope><name>captureInputMode</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__counter__config__t_1a19e716be7fd438a5f3a81e0a99676da8" virt="non-virtual"><scope>cy_stc_tcpwm_counter_config_t</scope><name>clockPrescaler</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__counter__config__t_1a3e9518a4c5ad4e63142c6c7b27d2475e" virt="non-virtual"><scope>cy_stc_tcpwm_counter_config_t</scope><name>compare0</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__counter__config__t_1afd2229a4ebd36e4fb09bb6b1f268c641" virt="non-virtual"><scope>cy_stc_tcpwm_counter_config_t</scope><name>compare1</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__counter__config__t_1a7dfafa68bd042a7153c3866666538cb7" virt="non-virtual"><scope>cy_stc_tcpwm_counter_config_t</scope><name>compare2</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__counter__config__t_1a7f18c6b8c77ac77bce493fc7512b9b95" virt="non-virtual"><scope>cy_stc_tcpwm_counter_config_t</scope><name>compare3</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__counter__config__t_1a8b99d145022bfaba8357aea299cf8442" virt="non-virtual"><scope>cy_stc_tcpwm_counter_config_t</scope><name>compareOrCapture</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__counter__config__t_1a6ebdd452acc4015a0b859807a30856d3" virt="non-virtual"><scope>cy_stc_tcpwm_counter_config_t</scope><name>countDirection</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__counter__config__t_1a0f9abee99b3079bec330a6afdcb2bfe4" virt="non-virtual"><scope>cy_stc_tcpwm_counter_config_t</scope><name>countInput</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__counter__config__t_1a256aff38a9bbeecabd9f7dde713600e8" virt="non-virtual"><scope>cy_stc_tcpwm_counter_config_t</scope><name>countInputMode</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__counter__config__t_1a32ffb2de1a8b5bf7f3ac5a99035cdbfd" virt="non-virtual"><scope>cy_stc_tcpwm_counter_config_t</scope><name>enableCompare1Swap</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__counter__config__t_1aab6a68f7f1e9673c6e66eec4e0cbacdb" virt="non-virtual"><scope>cy_stc_tcpwm_counter_config_t</scope><name>enableCompareSwap</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__counter__config__t_1a5094c6f251fb4345f7c1c3a73c5807dc" virt="non-virtual"><scope>cy_stc_tcpwm_counter_config_t</scope><name>interruptSources</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__counter__config__t_1ab76c3f28638094636fc4ce47339a2f03" virt="non-virtual"><scope>cy_stc_tcpwm_counter_config_t</scope><name>period</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__counter__config__t_1aa4f9dd7540e2f3ade67f7bb9997542ed" virt="non-virtual"><scope>cy_stc_tcpwm_counter_config_t</scope><name>reloadInput</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__counter__config__t_1aeb1252c523958eda3d7f0eb09b3439c5" virt="non-virtual"><scope>cy_stc_tcpwm_counter_config_t</scope><name>reloadInputMode</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__counter__config__t_1aabf4537e1373a90fed6f922ef8c9c171" virt="non-virtual"><scope>cy_stc_tcpwm_counter_config_t</scope><name>runMode</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__counter__config__t_1a196e0eb9e9b9a5772d592af837f0770e" virt="non-virtual"><scope>cy_stc_tcpwm_counter_config_t</scope><name>startInput</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__counter__config__t_1acf2e30970a7085ed01f8f62648e929c8" virt="non-virtual"><scope>cy_stc_tcpwm_counter_config_t</scope><name>startInputMode</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__counter__config__t_1ae8b6f0d0fce13fe1903ac0bd2712e1c8" virt="non-virtual"><scope>cy_stc_tcpwm_counter_config_t</scope><name>stopInput</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__counter__config__t_1a8fa458977f7f877924296770113256d8" virt="non-virtual"><scope>cy_stc_tcpwm_counter_config_t</scope><name>stopInputMode</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__counter__config__t_1a2b389637be2858dcff45077c501ac232" virt="non-virtual"><scope>cy_stc_tcpwm_counter_config_t</scope><name>trigger0Event</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__counter__config__t_1addc299a4ab2e222edfa02212b84b5d46" virt="non-virtual"><scope>cy_stc_tcpwm_counter_config_t</scope><name>trigger1Event</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>